<?php
namespace Our;
class ArrayConst
{
    const meg=array(
        ApiConst::systemMessageType=>"欢迎使用【身边店】。您身边的品牌，服务...",
    );


    //短信验证码类型
    const messageType = array(
        ApiConst::messageTypeRegister => '注册验证码',
        ApiConst::messageTypeLogin => '登录验证码',
        ApiConst::messageTypeSeller => '我是销售员登录验证码',
        ApiConst::messageTypeValidOldMobile => '验证旧手机',
        ApiConst::messageTypeValidNewMobile => '验证新手机',
        ApiConst::messageTypeFindPassword => '找回密码'
    );

    //消息中心
    const messageName=array(
        ApiConst::systemMessageType=>"系统消息",
        ApiConst::orderMessageType=>"订单消息",
        ApiConst::deliveryMessageType=>"订单消息",
    );
    //配送方式
    const refundShippingType=array(
        ApiConst::bySelf=>array('id'=>ApiConst::bySelf,'name'=>"买家自退"),
        ApiConst::bySeller=>array('id'=>ApiConst::bySeller,'name'=>"商家配取"),
        ApiConst::express=>array('id'=>ApiConst::express,'name'=>"快递"),
    );
    const payTypeOnlines=array(
        ApiConst::wxAppPayType,
        ApiConst::aliPayType,
        ApiConst::qqPayType,
        ApiConst::wxLitePayType
    );
    const orderPayTypeOnlines=array(
        ApiConst::wxpay,
        ApiConst::alipay,
        ApiConst::tenpay,
        ApiConst::wxProgram
    );
//退货方式
    const refundTypes=array(
        ApiConst::refundTypeMoney=>array('id'=>ApiConst::refundTypeMoney,'name'=>"退款",'desc'=>'未收到货(包含未签收),或卖家协商同意前提下'),
        ApiConst::refundTypeGoods=>array('id'=>ApiConst::refundTypeGoods,'name'=>"退货退款",'desc'=>'未收到货(包含未签收),或卖家协商同意前提下'),
    );
    //允许上传的图片类型
    const imageExtensions = array('pjpeg','jpeg','jpg','gif','bmp','png');

    //图片尺寸
    const goodsImageExt = array(60=>60,240=>240,360=>360,1280=>1280);

    //用户第三方来源类型
    const userType = array(
        ApiConst::userFromWeibo=>'微博',
        ApiConst::userFromQQ => 'QQ',
        ApiConst::wechatUserType => '小程序',
        ApiConst::userFromWx => '微信'
    );

    //系统默认地址
    const defaultAddress = array(
        NameConst::cityCode => '0591',
        NameConst::lat => '26.053183',
        NameConst::lng => '119.24174',
        NameConst::address => '横一号路特力林科技大厦'
    );

    //小程序账号
    const wechatInfo = array(
        'appid' => 'wxab22edc34913554b',
        'secret' => '938b33cfa0bb756a7cbb1e2b454c99f0',
        'grant_type' => 'authorization_code',
    );

    //卖家处理状态
    const sellerState=array(
        1=>'处理中',
        2=>'同意',
        3=>'不同意',
    );

    //退货类型
    const returnType=array(
        1=>'不用退货',
        2=>'需要退货',
    );
    //退款类型
    const refundType=array(
        1=>'退款',
        2=>'退货退款',
    );
    //平台介入操作类型
    const platformState=array(
        '无','同意','不同意'
    );
    //退款申请日志消息
    const logMsgType=array(
        ApiConst::refundApplyOnlyMoney=>'买家申请退款',
        ApiConst::refundApply=>'买家申请退货退款',
        ApiConst::refundApplyPlatform=>'买家申请平台介入',
    );

    const couponState = array(
        \Our\ApiConst::couponUnused => '未使用',
        \Our\ApiConst::couponUsed => '已使用',
        \Our\ApiConst::couponOverdue => '已过期'
    );
    //自动关闭订单消息模板
    const orderCloseTemplate=array(
        'type'=>14,
        'title'=>'订单关闭通知',
        'content'=>'您的定单超过5分钟没人接单，自动关闭',
        'thumb'=>'',
        'href'=>'',
        'price'=>0
    );
    //确认收货按钮0为未操作过，1为操作过，
    const reachRemindButtons=array(
       array(
           'type'=>ApiConst::messageButtonTypeConfirmButton,
           'name'=>'确认收货',
           'status'=>ApiConst::messageButoonNotClick,
           'showType'=>ApiConst::messageButtonShowTypeOnLight,
           'buttonId'=>ApiConst::messageButtonIdOne
        ),
    );
    //确认收货按钮0为未操作过，1为操作过，
    const confirmRecieveButtons=array(
        array(
            'type'=>ApiConst::messageButtonTypeReciverButton,
            'name'=>'确认接单',
            'status'=>ApiConst::messageButoonNotClick,
            'showType'=>ApiConst::messageButtonShowTypeOnLight,
            'buttonId'=>ApiConst::messageButtonIdOne
        ),
    );
    const defaultDeliveryMan=array(
        'id'=>0,
        'trueName'=>'配送员a',
        'mobile'=>'18650329907',
    );
    const messageOrderButtonsType=array(
        0,1,2
    );

    const ops = array(
        \Our\ApiConst::minus => '-',
        \Our\ApiConst::plus  => '+',
        \Our\ApiConst::set => '='
    );
}